Bug 246113 - review/replace nfs tapset
review/replace nfs tapset
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.4
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Radek Bíba
:
Depends On:
Blocks: 248064
  Show dependency treegraph
 
Reported: 2007-06-28 12:22 EDT by Frank Ch. Eigler
Modified: 2011-08-24 13:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-24 13:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2007-06-28 12:22:25 EDT
Some IBM folks have made an initial stab at abstracting the NFS subsystem
into proper systemtap probes, but it needs a review.  It seems as if the
current batch are an excessively shallow (mechanical, providing little
useful abstraction) and may need to be drastically cut down.

See the systemtap src/tapset/nfs* files.
Comment 1 RHEL Product and Program Management 2007-10-15 23:56:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Ondrej Hudlicky 2007-12-18 09:37:23 EST
Is this a new feature? Looks like it from the description, but not marked. 
How the testing will be performed, could you provide some testing tips? 
Comment 3 Frank Ch. Eigler 2007-12-18 10:55:54 EST
This is not a new feature so much as a review and fixing of existing code,
which steved kindly volunteered to do some time ago.

Ideally, it would be tested by specifically written systemtap scripts that
exercise the new tapset code, to trace or analyze NFS goings-on.
Comment 4 Ondrej Hudlicky 2007-12-19 10:59:14 EST
OK, sounds good. As soon as the test scripts is ready, qa_ack will be provided. 
Is IBM also willing to help with testing? 
Comment 8 Frank Ch. Eigler 2008-01-17 13:11:59 EST
Steve, your people.redhat.com scripts could be embedded in systemtap.
We can ship them as examples (which are at least compile-tested during
the systemtap testsuite), and some of them could be put into the
full execute-test suite too.  So there's already a place to put them
that will allow them to be kept up-to-date.

If you like, I can do (or have someone on the team do) an initial import
of your stuff into our repository, and thence you could maintain it
directly.
Comment 9 Steve Dickson 2008-01-21 10:13:13 EST
That would be cool to have my scripts embedded, but maybe it 
would be a better idea if have some show me how to embed them 
so in the future I could add and subtract things in less of a 
disruptive way (at lease in theory ;-) )
Comment 10 Frank Ch. Eigler 2008-01-21 11:01:35 EST
Details coming in email.
Comment 14 RHEL Product and Program Management 2008-06-02 16:36:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 18 IBM Bug Proxy 2009-02-17 12:11:00 EST
We need exact details of what is been asked to do in this bug; in order,  to assess the amount of work and who best to assign the work to.
Are new scripts to be written and tested, or there are already  scripts that need to be tested?

Without this detail we don't really know what to do.
The request for Info has been posted in this bug for a while, now.
Comment 19 Steve Dickson 2009-06-10 11:29:50 EDT
I believe the idea was for me to go through the current 
nfs, nfsd, lockd, and rpc tap scripts to see how I 
could improve or update and make them more use able
people in my line of work (i.e. kernel people).

Unfortunately instead of development those, I ended 
up developing my own set of stap scripts which are
at:  git://fedorapeople.org/~steved/systemtap.git

So what probably needs to happen is a selective
merge of some of my script into the systemtap rpm.

So I guess we could push this to 5.5 or even make it
an Fedora bug in hopes of getting the merge into RHEL6
Comment 21 IBM Bug Proxy 2011-02-21 00:40:57 EST
------- Comment From  2011-02-21 00:31 EDT-------
Closing this bug as there is no activity going on past 1 year 8 months.
Please feel free to re-open if you have any update.

Thanks
Muni
Comment 22 Frank Ch. Eigler 2011-08-24 13:11:59 EDT
The nfs tapset has been updated and used over the last few releases.  Any specific problems will get new bugzilla entries.

Note You need to log in before you can comment on or make changes to this bug.